SDL_GPUColorTargetBlendState Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUBlendFactor | src_color_blendfactor
SDL_GPUBlendFactor | dst_color_blendfactor
SDL_GPUBlendOp | color_blend_op
SDL_GPUBlendFactor | src_alpha_blendfactor
SDL_GPUBlendFactor | dst_alpha_blendfactor
SDL_GPUBlendOp | alpha_blend_op
SDL_GPUColorComponentFlags | color_write_mask
bool | enable_blend
bool | enable_color_write_mask
Uint8 | padding1
Uint8 | padding2

## Detailed Description

A structure specifying the blend state of a color target.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_GPUColorTargetDescription
  SDL_GPUBlendFactor
  SDL_GPUBlendOp
  SDL_GPUColorComponentFlags

Definition at line 1715 of file SDL_gpu.h.

## Field Documentation

## alpha_blend_op

SDL_GPUBlendOp SDL_GPUColorTargetBlendState::alpha_blend_op

The blend operation for the alpha component.

Definition at line 1722 of file SDL_gpu.h.

## color_blend_op

SDL_GPUBlendOp SDL_GPUColorTargetBlendState::color_blend_op

The blend operation for the RGB components.

Definition at line 1719 of file SDL_gpu.h.

## color_write_mask

SDL_GPUColorComponentFlags SDL_GPUColorTargetBlendState::color_write_mask

A bitmask specifying which of the RGBA components are enabled for writing. Writes to all channels if enable_color_write_mask is false.

Definition at line 1723 of file SDL_gpu.h.

## dst_alpha_blendfactor

SDL_GPUBlendFactor SDL_GPUColorTargetBlendState::dst_alpha_blendfactor

The value to be multiplied by the destination alpha.

Definition at line 1721 of file SDL_gpu.h.

## dst_color_blendfactor

SDL_GPUBlendFactor SDL_GPUColorTargetBlendState::dst_color_blendfactor

The value to be multiplied by the destination RGB value.

Definition at line 1718 of file SDL_gpu.h.

## enable_blend

bool SDL_GPUColorTargetBlendState::enable_blend

Whether blending is enabled for the color target.

Definition at line 1724 of file SDL_gpu.h.

## enable_color_write_mask

bool SDL_GPUColorTargetBlendState::enable_color_write_mask

Whether the color write mask is enabled.

Definition at line 1725 of file SDL_gpu.h.

## padding1

Uint8 SDL_GPUColorTargetBlendState::padding1

Definition at line 1726 of file SDL_gpu.h.

## padding2

Uint8 SDL_GPUColorTargetBlendState::padding2

Definition at line 1727 of file SDL_gpu.h.

## src_alpha_blendfactor

SDL_GPUBlendFactor SDL_GPUColorTargetBlendState::src_alpha_blendfactor

The value to be multiplied by the source alpha.

Definition at line 1720 of file SDL_gpu.h.

## src_color_blendfactor

SDL_GPUBlendFactor SDL_GPUColorTargetBlendState::src_color_blendfactor

The value to be multiplied by the source RGB value.

Definition at line 1717 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h